Subject: Re: bug#31409: 25.3; Python.el: getting function signature with eldoc is not automatic

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 04 Feb 2021 11:18:31 +0100

Noam Postavsky <[email-masked]> writes:

>> In python-mode, to get a Python function signature in minibuffer, an
>> user need to:
>> - Start the Python shell (M-x run-python)
>
> You can use C-c C-p.
>
>> - Enable eldoc (M-x eldoc-mode)
>
> This step is no longer needed, global-eldoc-mode is on by default.
>
>> - Send function definition or import to the shell (C-M-x or M-x
>> python-shell-send-defun)
>>
>> It's too much steps and less efficient than what we have for Emacs
>> Lisp. :(
>
> The last step (loading function) is needed for Emacs Lisp too.  So I
> guess just auto-starting Python shell would be needed.

I don't think auto-starting a Python shell would be generally
appreciated?  Bug I guess people who want this can just put run-python
into python-mode-hook?

So I'm not sure whether there's anything to do in this bug report?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no